From e836d33bbfb1ebe5530acdd75eeb5f00a5ddbfbf Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Tue, 22 Sep 2020 14:39:00 -0400
Subject: [PATCH 5/5] Remove the cross-platform Linux installer

This installer is only supported up to PostgreSQL 10 and based on
the overall outbound traffic numbers to the installer, it makes
sense to remove it instead of carrying the overall maintenance
burden.
---
 templates/pages/download/linux.html           | 16 ---------
 templates/pages/download/linux/debian.html    | 34 ------------------
 .../pages/download/linux/linux_oneclick.inc   | 36 -------------------
 templates/pages/download/linux/redhat.html    | 34 ------------------
 templates/pages/download/linux/suse.html      | 34 ------------------
 templates/pages/download/linux/ubuntu.html    | 34 ------------------
 6 files changed, 188 deletions(-)
 delete mode 100644 templates/pages/download/linux/linux_oneclick.inc

diff --git a/templates/pages/download/linux.html b/templates/pages/download/linux.html
index b3aaae7..e1e1b40 100644
--- a/templates/pages/download/linux.html
+++ b/templates/pages/download/linux.html
@@ -28,20 +28,4 @@ issues with your package manager, there are graphical installers available.
 <p>
 Finally, most Linux systems make it easy to build from source.
 </p>
-
-<h2>Integrated installation</h2>
-<p>
-For information about how to perform this installation, please consult
-the documentation for your Linux distribution.
-</p>
-
-{%include "pages/download/linux/linux_oneclick.inc" %}
-
-<h3>Platform support</h3>
-
-<p>The installers are not specifically tested on Linux distributions other than those
-  listed on the <a href="/download/linux/redhat/">Red Hat</a>, <a href="/download/linux/debian/">Debian</a>,
-  <a href="/download/linux/ubuntu/">Ubuntu</a> and <a href="/download/linux/suse/">SUSE</a>
-  pages, but can be expected to work on reasonably modern distributions in most cases.</p>
-
 {%endblock%}
diff --git a/templates/pages/download/linux/debian.html b/templates/pages/download/linux/debian.html
index 3c17e51..7c66a56 100644
--- a/templates/pages/download/linux/debian.html
+++ b/templates/pages/download/linux/debian.html
@@ -108,38 +108,4 @@ version number as required):
     </tr>
   </tbody>
 </table>
-
-{%include "pages/download/linux/linux_oneclick.inc" %}
-
-<h3>Platform support</h3>
-
-<p>The installers are tested by EDB on the following platforms.
-    They may also work on other variations or versions:</p>
-
-<table class="table table-striped">
-  <thead>
-    <tr>
-      <th>PostgreSQL Version</th>
-      <th>64 Bit Platforms</th>
-      <th>32 Bit Platforms</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr>
-      <th scope="row">10</th>
-      <td>Debian 8.x &amp; 7.x</td>
-      <td>&nbsp;</td>
-    </tr>
-    <tr>
-      <th scope="row">9.6</th>
-      <td>Debian 8.x &amp; 7.x</td>
-      <td>&nbsp;</td>
-    </tr>
-    <tr>
-      <th scope="row">9.5</th>
-      <td>Debian 7.x</td>
-      <td>Debian 7.x</td>
-    </tr>
-  </tbody>
-</table>
 {%endblock%}
diff --git a/templates/pages/download/linux/linux_oneclick.inc b/templates/pages/download/linux/linux_oneclick.inc
deleted file mode 100644
index 295add7..0000000
--- a/templates/pages/download/linux/linux_oneclick.inc
+++ /dev/null
@@ -1,36 +0,0 @@
-<h2>Interactive installer by EDB</h2>
-<p>
-<a href="https://www.enterprisedb.com/downloads/postgres-postgresql-downloads"> Download the installer</a>
- certified by EDB for PostgreSQL 10.x and earlier.
-</p>
-
-<p><strong>Note:</strong> Installers for Linux are no longer being product for PostgreSQL 11 and later.
-Users are advised to use platform native packages instead.</p>
-
-<p>This installer includes the PostgreSQL server, pgAdmin; a graphical tool for managing and developing
-your databases, and StackBuilder; a package manager that can be used to download and install
-additional PostgreSQL tools and drivers. Stackbuilder includes management,
-integration, migration, replication, geospatial, connectors and other tools.
-</p>
-
-<p>
-This installer can run in graphical, command line, or silent install modes.
-</p>
-
-<p>
-The installer is designed to be a straightforward, fast way to get up and running with
-PostgreSQL on Linux (Red Hat family Linux including CentOS/Fedora/Scientific/Oracle variants),
-Debian GNU/Linux and derivatives, Ubuntu Linux and derivatives, SuSE and OpenSuSE.
-</p>
-
-<p>
-<em>Advanced users</em> can also download a
-<a href="https://www.enterprisedb.com/download-postgresql-binaries">tar.gz archive</a>
-of the binaries, without the installer.
-This download is intended for users who wish to include PostgreSQL as part of another application installer.
-</p>
-
-<p>
-<em>Note:</em> The installers do not integrate with
-platform-specific packaging systems.
-</p>
diff --git a/templates/pages/download/linux/redhat.html b/templates/pages/download/linux/redhat.html
index 5a5b59c..ca08a9c 100644
--- a/templates/pages/download/linux/redhat.html
+++ b/templates/pages/download/linux/redhat.html
@@ -180,38 +180,4 @@ all the RPMs that are in the yum repository are available for
 <a href="https://yum.postgresql.org/rpmchart/">direct download</a>
 and manual installation as well.
 </p>
-
-{%include "pages/download/linux/linux_oneclick.inc" %}
-
-<h3>Platform support</h3>
-
-<p>The installers are tested by EDB on the following platforms.
-    They may also work on other variations or versions:</p>
-
-<table class="table table-striped">
-  <thead class="thead-light">
-    <tr>
-      <th>PostgreSQL Version</th>
-      <th>64 Bit Platforms</th>
-      <th>32 Bit Platforms</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr>
-      <th scope="row">10</th>
-      <td>RHEL / CentOS / OEL 7.x &amp; 6.x</td>
-      <td>RHEL / CentOS / OEL 6.x</td>
-    </tr>
-    <tr>
-      <th scope="row">9.6</th>
-      <td>RHEL / CentOS / OEL 7.x &amp; 6.x</td>
-      <td>RHEL / CentOS / OEL 6.x</td>
-    </tr>
-    <tr>
-      <th scope="row">9.5</th>
-      <td>RHEL / CentOS / OEL 7.x &amp; 6.x</td>
-      <td>RHEL / CentOS / OEL 6.x</td>
-    </tr>
-  </tbody>
-</table>
 {%endblock%}
diff --git a/templates/pages/download/linux/suse.html b/templates/pages/download/linux/suse.html
index 6df6b44..61fd91e 100644
--- a/templates/pages/download/linux/suse.html
+++ b/templates/pages/download/linux/suse.html
@@ -31,38 +31,4 @@ as well as a variety of related software.
 Use the <a href="https://software.opensuse.org/search" target="_blank">search facility</a>
 to find suitable packages. Documentation is also available there.
 </p>
-
-{%include "pages/download/linux/linux_oneclick.inc" %}
-
-<h3>Platform support</h3>
-
-<p>The installers are tested by EDB on the following platforms.
-    They may also work on other variations or versions:</p>
-
-<table class="table table-striped">
-  <thead class="thead-light">
-    <tr>
-      <th scope="col">PostgreSQL Version</th>
-      <th scope="col">64 Bit Platforms</th>
-      <th scope="col">32 Bit Platforms</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr>
-      <td>10</td>
-      <td>SLES 12.x</td>
-      <td>SLES 12.x</td>
-    </tr>
-    <tr>
-      <td>9.6</td>
-      <td>SLES 12.x</td>
-      <td>SLES 12.x</td>
-    </tr>
-    <tr>
-      <td>9.5</td>
-      <td>SLES 12.x</td>
-      <td>SLES 12.x</td>
-    </tr>
-  </tbody>
-</table>
 {%endblock%}
diff --git a/templates/pages/download/linux/ubuntu.html b/templates/pages/download/linux/ubuntu.html
index 08f2190..a80c35f 100644
--- a/templates/pages/download/linux/ubuntu.html
+++ b/templates/pages/download/linux/ubuntu.html
@@ -107,38 +107,4 @@ version number as required):
     </tr>
   </tbody>
 </table>
-
-{%include "pages/download/linux/linux_oneclick.inc" %}
-
-<h3>Platform support</h3>
-
-<p>The installers are tested by EDB on the following platforms.
-    They may also work on other variations or versions:</p>
-
-<table class="table table-striped">
-  <thead class="thead-light">
-    <tr>
-      <th scope="col">PostgreSQL Version</th>
-      <th scope="col">64 Bit Platforms</th>
-      <th scope="col">32 Bit Platforms</th>
-    </tr>
-  </thead>
-  <tbody>
-    <tr>
-      <td>10</td>
-      <td>Ubuntu 14.04 LTS</td>
-      <td>Ubuntu 14.04 LTS</td>
-    </tr>
-    <tr>
-      <td>9.6</td>
-      <td>Ubuntu 14.04 LTS</td>
-      <td>Ubuntu 14.04 LTS</td>
-    </tr>
-    <tr>
-      <td>9.5</td>
-      <td>Ubuntu 14.04 LTS</td>
-      <td>Ubuntu 14.04 LTS</td>
-    </tr>
-  </tbody>
-</table>
 {%endblock%}
-- 
2.21.1 (Apple Git-122.3)

